# Physical

Physical is a library for interacting with the physical world from a computer. This can broadly be broken down into two categories:

* Collecting and digitizing data from the physical world.
* Controlling devices that take physical action.

## Concepts
The main concepts of Physical are:
* Peripheral: A peripheral is a board that hosts physical I/O and usually does analog to digital conversion or 
  digital to analog conversion. A peripheral cannot function on its own, it must be connected to a node. This is more 
  narrow than the 
  definition of a peripheral in embedded systems generally.
* Node: A node hosts peripherals. A node can have a master but does not need one.
* Master: A master hosts nodes. It is possible for a device to be both a node and a master at the same time.